<Input::ContainerGroup
  @isMainValue={{true}}
  @isDisabled={{@isDisabled}}
  @title={{t "attributes"}}
  @onSave={{this.onSave}}
  @onCancel={{this.onCancel}}
  @onEdit={{@onEdit}}
  @disabled={{@disabled}}
  @editablePanel={{@editablePanel}}
  @savingPanel={{@savingPanel}}
  class="input-site-attributes"
  {{did-insert this.setup}}
  ...attributes
  as |isEdit|
>
  {{#each this.groups as |group|}}
    <h4 class="icon-group d-flex">
      {{#if group.icon}}
        <div class="me-2">
          <img src={{group.icon.image.value}} alt={{group.name}} />
        </div>
      {{/if}}

      {{#if isEdit}}
        <div class="input-group">
          {{#if group.icon}}
            <span class="icon-group-name me-4">
              {{group.icon.name}}
            </span>
          {{else}}
            <Input class="input-group-name form-control border-info" @value={{group.name}} />
          {{/if}}

          <button class="btn btn-danger btn-delete-group" type="button" {{on "click" (fn this.deleteGroup group)}}>
            <FaIcon @icon="trash" />
          </button>
        </div>
      {{else}}
        <div>{{group.name}}</div>
      {{/if}}
    </h4>

    {{#each group.properties as |property|}}
      <Input::SiteAttributesProperty @property={{property}} @icon={{group.icon}} @isEdit={{isEdit}} class="mb-3" />
    {{/each}}

    {{#if isEdit}}
      <button class="btn btn-outline-primary btn-add-new-attribute" type="button" {{on "click" (fn this.addAttribute group)}}>
        <FaIcon @icon="plus" />
        {{capitalize (t "attribute")}}
      </button>
    {{/if}}
    <hr />
  {{/each}}

  {{#if isEdit}}
    <button class="btn btn-outline-primary btn-new-anonymous-group" type="button" {{on "click" this.addAnonymousGroup}}>
      <FaIcon @icon="plus" />
      {{capitalize (t "group")}}
    </button>

    {{#each this.iconGroupNames as |icon|}}
      <button class="btn btn-outline-primary btn-add-icon-group" type="button" {{on "click" (fn this.addIconGroup icon)}}>
        <FaIcon @icon="plus" />
        {{icon.name}}
      </button>
    {{/each}}

    {{#each this.listGroupNames as |name|}}
      <button class="btn btn-outline-primary btn-add-list-group-item" type="button" {{on "click" (fn this.addListGroupItem name)}}>
        <FaIcon @icon="plus" />
        {{name}}
      </button>
    {{/each}}
  {{else if (not this.groups)}}
    <div class="alert alert-secondary" role="alert">
      {{t "message-alert-attributes-missing"}}
    </div>
  {{/if}}
</Input::ContainerGroup>